package com.sunxung.factoring.entity.underlying.vo;

import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.underlying.UnderlyingAccountsReceivableInfo;
import com.sunxung.factoring.entity.underlying.UnderlyingBasicInfo;
import com.sunxung.factoring.entity.underlying.UnderlyingGoodsInfo;

import java.util.List;

/**
 * @Description : 底层信息Vo类
 * @Author : L.Jia
 * @Date: 2022-03-04 10:06
 */
public class UnderlyingInfoVo {

    /**
     * 底层基本信息
     */
    private UnderlyingBasicInfo underlyingBasicInfo;

    /**
     * 货物信息
     */
    private List<UnderlyingGoodsInfo> underlyingGoodsInfoList;

    /**
     * 网价附件
     */
    private List<FileStorage> underlyingFileList;

    /**
     * 底层应收账款信息
     */
    private List<UnderlyingAccountsReceivableInfo> accountsReceivableInfoList;

    /**
     * 删除的文件Id集合
     */
    private List<Long> deleteFiles;

    /**
     * 是否提价 true 是 false 否
     */
    private Boolean submit;

    public UnderlyingBasicInfo getUnderlyingBasicInfo() {
        return underlyingBasicInfo;
    }

    public void setUnderlyingBasicInfo(UnderlyingBasicInfo underlyingBasicInfo) {
        this.underlyingBasicInfo = underlyingBasicInfo;
    }

    public List<UnderlyingGoodsInfo> getUnderlyingGoodsInfoList() {
        return underlyingGoodsInfoList;
    }

    public void setUnderlyingGoodsInfoList(List<UnderlyingGoodsInfo> underlyingGoodsInfoList) {
        this.underlyingGoodsInfoList = underlyingGoodsInfoList;
    }

    public List<FileStorage> getUnderlyingFileList() {
        return underlyingFileList;
    }

    public void setUnderlyingFileList(List<FileStorage> underlyingFileList) {
        this.underlyingFileList = underlyingFileList;
    }

    public List<UnderlyingAccountsReceivableInfo> getAccountsReceivableInfoList() {
        return accountsReceivableInfoList;
    }

    public void setAccountsReceivableInfoList(List<UnderlyingAccountsReceivableInfo> accountsReceivableInfoList) {
        this.accountsReceivableInfoList = accountsReceivableInfoList;
    }

    public List<Long> getDeleteFiles() {
        return deleteFiles;
    }

    public void setDeleteFiles(List<Long> deleteFiles) {
        this.deleteFiles = deleteFiles;
    }

    public Boolean getSubmit() {
        return submit;
    }

    public void setSubmit(Boolean submit) {
        this.submit = submit;
    }
}
